Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

🔎 Foros de soporte phpBB 3.2
Avatar de Usuario
ThE KuKa
Administrador
Mensajes: 9070
Registrado: 04 Ene 2004, 19:27
Nombre real: Raúl
Ubicación: Terrassa
Género:
Edad: 45
Contactar:

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

#16

Mensaje por ThE KuKa » 19 Sep 2019, 20:28

Ese error me suena de un problema en 3.2.5 de phpBB

No estas con PHP 7.3 ¿verdad?

Si puedes entra al PCA, y Purgar todas las sesiones -> Ejecutar



Raul [ThE KuKa] en phpBB
Jr. Extension Validator - Jr. Styles Validator - Style Customisations - Translator - International Support Team


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 834
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:
Edad: 58

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

#17

Mensaje por J_Sparrow » 19 Sep 2019, 20:35

No puedo entrar al PCA, los usuarios con los permisos correspondientes no entran. El Foro esta vacío de contenido y esta todo en la Base de Datos, que lo acabo de mirar. Quiero recordar que en algún vídeo que vi cuando intentaba instalarlo en Local hace un año, decía que había que cambiar algo en algún fichero para que no se volviese loco buscando o lo encontrase.
Nada, esperaré "contestación" de mi Servidor, que será mañana seguramente.
No le des mas vueltas, ya me dirán algo.

Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
canidev
Moderador
Mensajes: 554
Registrado: 30 Jun 2011, 17:06
Nombre real: Iván
Género:
Edad: 33
Contactar:

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

#18

Mensaje por canidev » 19 Sep 2019, 21:56

Voy a intentar aportar algo.
Los errores relacionados con desaparición de contenido etc, suelen ser derivados de bases de datos corruptas. Subir una base de datos en varias fases con phpmyadmin suele dar problemas. Lo ideal es subirla de una o sino exportarla en varios archivos separados y subirla por trozos (pero es un coñazo :? )
¿En que hosting estás montando el foro? Hay algunos que permiten utilizar linea de comandos con php (aunque no tengas ssh), lo que es ideal para subir bases de datos.

Las páginas en blanco pueden ser cualquier cosa. Si tienes acceso al log de errores de php sería de ayuda que pusieses por lo menos las últimas líneas. Y sino, yo suelo añadir la siguiente línea en el config.php para que me muestre los errores en lugar de la pagina en blanco (no funciona en todos los hostings pero si en muchos)

Código: Seleccionar todo

@ini_set('display_errors', 'On');

De todas formas, si el foro que intentas transferir es el de tu firma, yo lo considero pequeño (a efectos de un proceso de este tipo).
De tu base de datos, ¿que tablas son las que más ocupan? (te lo pone el phpmyadmin)
Si son phpbb_sessions y phpbb_logs se podrían ignorar a la hora de hacer el backup para que la base de datos fuese mas liviana.



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 834
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:
Edad: 58

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

#19

Mensaje por J_Sparrow » 19 Sep 2019, 23:12

Bueno chicos, problemas solucionados y Foro en pruebas funcionando.
¿Mi servidor?, luego te lo digo :D :D , no te lo vas a creer.
¿Cómo he solucionado los problemas?, yo no los he solucionado, ha sido mi "Servidor" :D :D
Efectivamente, la Base de Datos estaba corrupta no, lo siguiente. La he vuelto a crear y mi "servidor" me la ha importado a la Base de Datos. Lo ha hecho con la consola y si te soy sincero, yo me he perdido a la primera que ha tecleado :D :D
La página en blanco y los errores, versión de php que me tenía puesta, la 5 y pico. Me la ha cambiado y ya esta solucionado.
Ahora me lanzo a actualizar todo y a ponerlo "bonito".

Gracias a todos por vuestros comentarios, pero tranquilos, que seguiré dando guerra.

Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 696
Registrado: 14 Ene 2017, 22:18
Nombre real: Alfredo
Ubicación: /dev/null
Género:
Contactar:

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

#20

Mensaje por AbaddonOrmuz » 20 Sep 2019, 04:34

Para futuras referencias, el error de la imagen, es debido a que, por alguna razón la variable @OLD_CHARACTER_SET_CLIENT no devolvió un valor, aunque en ese caso se podría remplazar por utf8 o utf8mb4

Imagen

Código: Seleccionar todo

/*!40101 SET character_set_client = 'utf8' */;

Código: Seleccionar todo

/*!40101 SET character_set_client = 'utf8mb4' */;

@ThE KuKa me haré un poco de tiempo para añadir información al respecto, aunque tampoco es que lo domine, porque rara vez uso phpMyAdmin :P

Algunas de mis extensiones: [ Imgur | Metadatos SEO | Markdown ]
Checa todas mi extensiones
Usuario de Arch Linux


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 834
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:
Edad: 58

Actualizacion desde la 3.2.1 a la 3.2.7 y cambio de Servidor

#21

Mensaje por J_Sparrow » 21 Sep 2019, 01:44

Buenas, ya estoy por aquí otra vez.
Bueno, ya he actualizado mi nuevo Foro desde la 3.2.1 a la 3.2.8 de una sola vez. He estado conectado con mi servidor vía online y me estaba enseñando que en la página oficial existe una zona donde se puede descaragar una actualización desde la versión que tenía (3.2.1) a la última en ESE momento, la 3.2.7
Al mostrarme como se buscaba y volver a la pantalla anterior, de repente no nos aparece la 3.2.7, si no la 3.2.8, vamos que lo hemos actualizado los primeros.
Imagen
Pero luego he leído un comentario de @ThE KuKa de algo con el paquete de idioma y me he asustado. He descargado yo el paquete de la actualización y NO viene el idioma, pero mi Foro "de momento", esta en español. ¿Será esto un problema posterior?, ¿cómo puedo añadir el paquete de la traducción después?.
Bueno, por si a alguno le interesa, para subir de una versión baja a la última, solo hay que ir a la página oficial en ingles (1) ...
Imagen
... seleccionar la pestaña (2)
... desplegar el cuadro (3)
Imagen
... luego elegimos la versión de nuestro Foro (4)
Imagen
... y al aceptar nos sale el paquete para actualizar desde nuestra versión, a la última. Pero recordar, NO TIENE EL PAQUETE DEL IDIOMA.

Voy a ver si activo las extensiones y me voy a dormir, que hoy he aprendido muchas cosas. Gracias "servidor" :wink: :wink: :wink:

Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “Foros de Soporte 3.2”